Bug 1764445 - Packages missing in EPEL 8 mock buildroot
Summary: Packages missing in EPEL 8 mock buildroot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock-core-configs
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-23 05:41 UTC by Mattias Ellert
Modified: 2019-11-17 04:26 UTC (History)
2 users (show)

Fixed In Version: mock-core-configs-31.7-1.fc31 mock-core-configs-31.7-1.fc29 mock-core-configs-31.7-1.fc30 mock-core-configs-31.7-1.el8 mock-core-configs-31.7-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 04:15:16 UTC


Attachments (Terms of Use)

Description Mattias Ellert 2019-10-23 05:41:30 UTC
Description of problem:

The EPEL 8 buildroot inherits its content from the CentOS 8 buildroot and installs the following packages:

(First line in etc/mock/templates/centos-8.tpl)
config_opts['chroot_setup_cmd'] = 'install tar gcc-c++ redhat-rpm-config redhat-release which xz sed make bzip2 gzip gcc coreutils unzip shadow-utils diffutils cpio bash gawk rpm-build info patch util-linux findutils grep'

However, the EPEL 8 buildroot in koji installs additional packages:

- epel-release
- epel-rpm-macros
- fedpkg-minimal

This means that a local mock EPEL 8 build root is different from a koji EPEL 8 build root in important ways. The epel-rpm-macros is especially important.

Version-Release number of selected component (if applicable):

mock-core-configs-31.6-1.fc30

How reproducible:

Always

Steps to Reproduce:
1. mock --root epel-8-x86_64 --init

Actual results:

epel-release and epel-rpm-macros not installed in buildroot

Expected results:

epel-release and epel-rpm-macros installed in buildroot

Comment 1 Miroslav Suchý 2019-10-23 07:29:35 UTC
Fixed in upstream in commit
  * daa2de4 (HEAD -> devel, origin/devel, origin/HEAD) add 3 base packages to epel buildroot [RHBZ#1764445]

Thank you for the report.

Comment 2 Fedora Update System 2019-11-01 14:24:47 UTC
FEDORA-EPEL-2019-9db6c23b83 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9db6c23b83

Comment 3 Fedora Update System 2019-11-01 14:29:56 UTC
FEDORA-EPEL-2019-7ecb65a185 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7ecb65a185

Comment 4 Fedora Update System 2019-11-02 02:26:42 UTC
mock-core-configs-31.7-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7b62e2bc40

Comment 5 Fedora Update System 2019-11-02 02:38:57 UTC
mock-core-configs-31.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7ecb65a185

Comment 6 Fedora Update System 2019-11-02 04:09:46 UTC
mock-core-configs-31.7-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9db6c23b83

Comment 7 Fedora Update System 2019-11-02 04:13:33 UTC
mock-core-configs-31.7-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f5744fed8

Comment 8 Fedora Update System 2019-11-03 06:01:31 UTC
mock-core-configs-31.7-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2f749cf697

Comment 9 Fedora Update System 2019-11-05 04:15:16 UTC
mock-core-configs-31.7-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-11-10 01:07:12 UTC
mock-core-configs-31.7-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-11-15 03:54:41 UTC
mock-core-configs-31.7-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-11-17 04:22:46 UTC
mock-core-configs-31.7-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-11-17 04:26:30 UTC
mock-core-configs-31.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.